/*
clocale.h

Copyright (C)2001  Al Kingsley

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Don't write to me at: kingsley@bananahead.com 

	Part of:
	BhPos, Copyright (C) 2001-2005 Al Kingsley
	BhPos comes with ABSOLUTELY NO WARRANTY.
*/
#ifndef _CLOCALE_H_
#define _CLOCALE_H_

#include <clocale>

namespace bhpos{

/**
 * @defgroup bhlocale Locale
 * @{
 *
 * \ingroup commlib
 * @{	
 */
/*! \brief A class to handle locales. */
class CLocale
{
private:
	lconv *lc;
	int    cat;
	char  *old_locale;
	char	buff[64];

protected:

public:
	CLocale();
	~CLocale();
	int SetLocale(int, char *locale);
	void ResetLocale();
	char *FormatCurrency(const double c);
	char *FormatTime(const tm *time);
	char *FormatDate(const tm *time);

};

/* @} 
	@} */

}

#endif
	// _CLOCALE_H_
