/*
creturnreason.cpp - a return reason class.

Copyright (C) 2003  Al Kingsley


  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Don't write to me at: kingsley@bananahead.com 

	Part of:
	BhPos, Copyright (C) 2001-2004 Al Kingsley
	BhPos comes with ABSOLUTELY NO WARRANTY. 
	The author takes no responsibility for anything at all, even pikachu.
*/


#include "ctransitems.h"

namespace bhpos{

CReturnReason::CReturnReason()
{
   reason=0;
   num=0;
}

CReturnReason::CReturnReason(int r, int n)
{
   reason=r;
   num=n;
}

CReturnReason::~CReturnReason()
{
}

bool CReturnReason::operator==(CReturnReason const &r)
{
   if(reason==r.reason) return true;
   return false;
}

bool CReturnReason::operator==(const int rid)
{
   if(reason==rid) return true;
   return false;
}

bool CReturnReason::operator!=(CReturnReason const &r)
{
   if(reason!=r.reason) return true;
   return false;
}

bool CReturnReason::operator!=(const int tid)
{
}

CReturnReason &CReturnReason::operator=(CReturnReason const &r)
{
   this->reason=r.reason;
   this->num=r.num;
   
   return *this;
}

int CReturnReason::operator++()
{
   num++;
   return num;
}

int CReturnReason::operator--()
{
   num--;
   return num;
}

}
