/*
cserversideproductoption.cpp - a transaction shared library.

Copyright (C) 2003 Al Kingsley

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	Don't write to me at: kingsley@bananahead.com 

	Part of:
	BhPos, Copyright (C) 2001-2005 Al Kingsley
	BhPos comes with ABSOLUTELY NO WARRANTY. 
*/
#include <pthread.h>
#include <cstdio>
#include <cstdlib>
#include <fcntl.h>
#include <unistd.h>
#include "ctransitems.h"

namespace bhpos{

CServSideMenu::CServSideMenu() 
{
   ID=0;
}

CServSideMenu::CServSideMenu(CServSideMenu const& t)
{
   ID=t.ID;
   name=t.name;
   description=t.description;
}

CServSideMenu::CServSideMenu(const int tn)
{
	ID=tn;
}

CServSideMenu::~CServSideMenu()
{
}

CServSideMenu &CServSideMenu::operator=(CServSideMenu const& t)
{
   this->ID=t.ID;
   this->name=t.name;
   this->description=t.description;
   
	return *this;
}

bool CServSideMenu::operator==(CServSideMenu const& t)
{
   if(ID==t.ID) return true;
   return false;
}

bool CServSideMenu::operator!=(CServSideMenu const& t)
{
	if(ID!=t.ID) return true;
   return false;
}

int CServSideMenu::Add(CServSideProduct& p)
{
   menu.push_back(p);
   return menu.size();
}

}
